import { Component, OnInit, ViewChild, ElementRef } from '@angular/core';
import { User } from '../models/user.model';
import { UserComponent } from '../user/user.component';
import { UserFormComponent } from '../user-form/user-form.component';

@Component({
  selector: 'app-users',
  templateUrl: './users.component.html',
  styleUrls: ['./users.component.sass'],
})
export class UsersComponent implements OnInit {

  title: string = "Список пользователей";
  user: User;

  name: string = "Ben";

  @ViewChild(UserFormComponent,{static: false})
  userFormComp: UserFormComponent;

  @ViewChild('userLogin')
  pUserLogin: ElementRef;

  constructor() { 
    this.user =  new User('Ben',25);
  }

  ngOnInit(): void {

  }


  onUserChanged($user: User) {
    this.user = $user;
  }

  saveButton($event) {
      this.userFormComp.save($event);
      this.pUserLogin.nativeElement.textContent = "Hello World";
  }

}
